Langsung ke konten utama
POST
/
v3
/
stores
/
{store_id}
/
customers
/
me
/
checkout
/
shipping-options
Get checkout shipping options
curl --request POST \
  --url https://api.scalev.com/v3/stores/{store_id}/customers/me/checkout/shipping-options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "type": "variant",
      "variant_id": 2,
      "quantity": 50
    }
  ],
  "cart_id": 123,
  "location_id": 123,
  "postal_code": "<string>",
  "payment_method": "bank_transfer"
}
'
{
  "data": [
    {
      "courier_service_id": 123,
      "courier_code": "jne",
      "service_code": "REG",
      "name": "Regular",
      "cost": "<string>",
      "etd": "<string>",
      "is_cod": true,
      "warehouse_unique_id": "<string>",
      "courier_aggregator_code": "<string>",
      "logo_url": "<string>"
    }
  ],
  "is_paginated": false
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

store_id
string
wajib

Store unique_id.

Body

application/json
items
object[]

Optional direct item source. If supplied, these items are used for the shipping-options calculation. Otherwise cart_id selects the authenticated customer's active cart.

Required array length: 1 - 50 elements
cart_id

Authenticated customer cart ID to use when items is omitted.

location_id
postal_code
string
payment_method
string

Customer checkout payment method code selected by the buyer.

Contoh:

"bank_transfer"

Respons

Checkout shipping options

data
object[]
wajib
is_paginated
enum<boolean>
wajib
Opsi yang tersedia:
false